Skip to main content
POST
/
public
/
v2
/
invoices
/
{record_number}
/
attachments
/
Create InvoiceV2 record attachments
curl --request POST \
  --url https://api.dualentry.com/public/v2/invoices/{record_number}/attachments/ \
  --header 'Content-Type: multipart/form-data' \
  --header 'X-API-KEY: <api-key>' \
  --form 'files=<string>' \
  --form files.items='@example-file'
import requests

url = "https://api.dualentry.com/public/v2/invoices/{record_number}/attachments/"

files = { "files.items": ("example-file", open("example-file", "rb")) }
payload = { "files": "<string>" }
headers = {"X-API-KEY": "<api-key>"}

response = requests.post(url, data=payload, files=files, headers=headers)

print(response.text)
const form = new FormData();
form.append('files', '<string>');
form.append('files.items', '{
"fileName": "example-file"
}');

const options = {method: 'POST', headers: {'X-API-KEY': '<api-key>'}};

options.body = form;

fetch('https://api.dualentry.com/public/v2/invoices/{record_number}/attachments/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "bill_to_address": "<string>",
  "ship_to_address": "<string>",
  "term_id": 123,
  "term_name": "<string>",
  "transaction_ids": [
    123
  ],
  "internal_id": 123,
  "number": 123,
  "company_id": 123,
  "company_name": "<string>",
  "company_currency": "<string>",
  "customer_id": 123,
  "exchange_rate": "<string>",
  "amount": "<string>",
  "amount_due": "<string>",
  "paid_total": "<string>",
  "amount_due_updated_at": "2023-11-07T05:31:56Z",
  "memo": "<string>",
  "date": "2023-12-25",
  "transaction_date": "2023-12-25",
  "due_date": "2023-12-25",
  "recurring_record_number": 123,
  "reference_number": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "billing_address": {
    "street": "<string>",
    "second_line": "<string>",
    "city": "<string>",
    "state": "<string>",
    "postal_code": "<string>",
    "country": "<string>",
    "name": "<string>"
  },
  "shipping_address": {
    "street": "<string>",
    "second_line": "<string>",
    "city": "<string>",
    "state": "<string>",
    "postal_code": "<string>",
    "country": "<string>",
    "name": "<string>"
  },
  "custom_fields": [],
  "customer_name": "<string>",
  "attachments": [],
  "payment": {
    "type": "<string>",
    "id": 123,
    "body": "<string>",
    "link": "<string>"
  },
  "bank_match_status": "<string>",
  "reconciliation_status": "<string>",
  "created_by": {
    "actor_type": "<string>",
    "email": "<string>",
    "first_name": "<string>",
    "last_name": "<string>",
    "timestamp": "2023-11-07T05:31:56Z"
  },
  "updated_by": {
    "actor_type": "<string>",
    "email": "<string>",
    "first_name": "<string>",
    "last_name": "<string>",
    "timestamp": "2023-11-07T05:31:56Z"
  },
  "approval_status": "<string>",
  "next_approvers": [
    {
      "id": 123,
      "first_name": "<string>",
      "last_name": "<string>",
      "email": "<string>",
      "full_name": "<string>",
      "avatar_url": "<string>"
    }
  ],
  "rejected_by": {
    "id": 123,
    "first_name": "<string>",
    "last_name": "<string>",
    "email": "<string>",
    "full_name": "<string>",
    "rejection_reason": "<string>"
  },
  "items": [],
  "has_more_lines": false,
  "lines_count": 0
}
{
"errors": {},
"success": false
}
{
"errors": {},
"success": false
}
{
"errors": {},
"success": false
}

Authorizations

X-API-KEY
string
header
required

Path Parameters

record_number
integer
required

The number attribute of the record.

Body

multipart/form-data
files
file[]
required

Response

OK

bill_to_address
string
required
deprecated

Deprecated: send the structured billing_address / shipping_address instead.

ship_to_address
string
required
deprecated

Deprecated: send the structured billing_address / shipping_address instead.

term_id
integer | null
required
term_name
string
required
transaction_ids
integer[]
required
internal_id
integer
required
number
integer
required
company_id
integer
required
company_name
string
required
company_currency
string
required
customer_id
integer | null
required
currency_iso_4217_code
enum<string>
required
Available options:
AED,
AFN,
ALL,
AMD,
ANG,
AOA,
ARS,
AUD,
AWG,
AZN,
BAM,
BBD,
BDT,
BGN,
BHD,
BIF,
BMD,
BND,
BOB,
BRL,
BSD,
BTN,
BWP,
BYN,
BZD,
CAD,
CDF,
CHF,
CLF,
CLP,
CNY,
COP,
CRC,
CUP,
CVE,
CZK,
DJF,
DKK,
DOP,
DZD,
EGP,
ERN,
ETB,
EUR,
FJD,
FKP,
GBP,
GEL,
GHS,
GIP,
GMD,
GNF,
GTQ,
GYD,
HKD,
HNL,
HTG,
HUF,
IDR,
ILS,
INR,
IQD,
IRR,
ISK,
JMD,
JOD,
JPY,
KES,
KGS,
KHR,
KMF,
KPW,
KRW,
KWD,
KYD,
KZT,
LAK,
LBP,
LKR,
LRD,
LSL,
LYD,
MAD,
MDL,
MGA,
MKD,
MMK,
MNT,
MOP,
MRU,
MUR,
MVR,
MWK,
MXN,
MYR,
MZN,
NAD,
NGN,
NIO,
NOK,
NPR,
NZD,
OMR,
PAB,
PEN,
PGK,
PHP,
PKR,
PLN,
PYG,
QAR,
RON,
RSD,
RUB,
RWF,
SAR,
SBD,
SCR,
SDG,
SEK,
SGD,
SHP,
SLL,
SOS,
SRD,
STN,
SVC,
SYP,
SZL,
THB,
TJS,
TMT,
TND,
TOP,
TRY,
TTD,
TWD,
TZS,
UAH,
UGX,
USD,
UYU,
UZS,
VES,
VND,
VUV,
WST,
XAF,
XAG,
XAU,
XCD,
XDR,
XOF,
XPD,
XPF,
XPT,
YER,
ZAR,
ZMW,
ZWL
exchange_rate
string
required
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d{0,16}0*$
amount
string
required

Total amount of transaction

Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d{0,2}0*$
amount_due
string
required

Amount to be paid

Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d{0,2}0*$
paid_total
string
required

Amount that was already paid by Customer Repayment Applications or Customer Payments

Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d{0,2}0*$
amount_due_updated_at
string<date-time>
required

Timestamp of the most recent change that could have affected amount_due. Moves whenever the invoice itself is edited, or whenever a posted Customer Payment or Customer Prepayment Application referencing this invoice is written.

memo
string
required
date
string<date>
required

Posting date (GL date) - the date when the transaction is recorded in the general ledger

transaction_date
string<date>
required

Transaction date (inception date) - the date when the transaction actually occurred

due_date
string<date> | null
required
record_status
enum<string>
required
Available options:
draft,
posted,
archived
recurring_record_number
integer | null
required
reference_number
string
required
created_at
string<date-time>
required

Date and time the record was created

updated_at
string<date-time>
required

Date and time the record was last updated

billing_address
AddressSchemaOut · object | null
shipping_address
AddressSchemaOut · object | null
custom_fields
CustomFieldValuePairOutputSchema · object[]
customer_name
string | null
attachments
PublicAttachmentSchemaOut · object[]
payment
PaymentSchemaOut · object | null

Schema for payment collection configuration output.

bank_match_status
string | null
reconciliation_status
string | null
created_by
AuditActorSchemaOut · object | null

Schema for audit actor information.

updated_by
AuditActorSchemaOut · object | null

Schema for audit actor information.

approval_status
string | null
next_approvers
ApproverDictSchema · object[] | null
rejected_by
RejectedBySchema · object | null

Schema for rejector information including rejection reason.

items
PublicInvoiceItemOut · object[]
has_more_lines
boolean
default:false
lines_count
integer
default:0
Last modified on July 13, 2026